

# DescribeSchedulingPolicies
<a name="API_DescribeSchedulingPolicies"></a>

Describes one or more of your scheduling policies.

## Request Syntax
<a name="API_DescribeSchedulingPolicies_RequestSyntax"></a>

```
POST /v1/describeschedulingpolicies HTTP/1.1
Content-type: application/json

{
   "arns": [ "string" ]
}
```

## URI Request Parameters
<a name="API_DescribeSchedulingPolicies_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_DescribeSchedulingPolicies_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [arns](#API_DescribeSchedulingPolicies_RequestSyntax) **   <a name="Batch-DescribeSchedulingPolicies-request-arns"></a>
A list of up to 100 scheduling policy Amazon Resource Name (ARN) entries.  
Type: Array of strings  
Required: Yes

## Response Syntax
<a name="API_DescribeSchedulingPolicies_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "schedulingPolicies": [ 
      { 
         "arn": "string",
         "fairsharePolicy": { 
            "computeReservation": number,
            "shareDecaySeconds": number,
            "shareDistribution": [ 
               { 
                  "shareIdentifier": "string",
                  "weightFactor": number
               }
            ]
         },
         "name": "string",
         "quotaSharePolicy": { 
            "idleResourceAssignmentStrategy": "string"
         },
         "tags": { 
            "string" : "string" 
         }
      }
   ]
}
```

## Response Elements
<a name="API_DescribeSchedulingPolicies_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [schedulingPolicies](#API_DescribeSchedulingPolicies_ResponseSyntax) **   <a name="Batch-DescribeSchedulingPolicies-response-schedulingPolicies"></a>
The list of scheduling policies.  
Type: Array of [SchedulingPolicyDetail](API_SchedulingPolicyDetail.md) objects

## Errors
<a name="API_DescribeSchedulingPolicies_Errors"></a>

 ** ClientException **   
These errors are usually caused by a client action. One example cause is using an action or resource on behalf of a user that doesn't have permissions to use the action or resource. Another cause is specifying an identifier that's not valid.  
HTTP Status Code: 400

 ** ServerException **   
These errors are usually caused by a server issue.  
HTTP Status Code: 500

## Examples
<a name="API_DescribeSchedulingPolicies_Examples"></a>

In the following example or examples, the Authorization header contents (` [authorization-params] `) must be replaced with an Amazon Signature Version 4 signature. For more information about creating these signatures, see [Signature Version 4 Signing Process](https://docs.amazonaws.cn/general/latest/gr/signature-version-4.html) in the * Amazon General Reference*.

You only need to learn how to sign HTTP requests if you intend to manually create them. When you use the [Amazon Command Line Interface (Amazon CLI)](http://www.amazonaws.cn/cli/) or one of the [Amazon SDKs](http://www.amazonaws.cn/tools/) to make requests to Amazon, these tools automatically sign the requests for you with the access key that you specify when you configure the tools. When you use these tools, you don't need to learn how to sign requests yourself.

### Example
<a name="API_DescribeSchedulingPolicies_Example_1"></a>

This example describes the specified scheduling policies.

#### Sample Request
<a name="API_DescribeSchedulingPolicies_Example_1_Request"></a>

```
POST /v1/describeschedulingpolicies HTTP/1.1
Host: batch.us-east-1.amazonaws.com
Accept-Encoding: identity
User-Agent: aws-cli/1.20.21 Python/3.6.9 Linux/4.4.0-19041-Microsoft botocore/1.21.21
X-Amz-Date: 20210929T002059Z
X-Amz-Security-Token: [security-token]
Authorization: [authorization-params]
Content-Length: [content-length]

{
  "arns": [
    "arn:aws:batch:us-east-1:123456789012:scheduling-policy/ExampleFairSharePolicy",
    "arn:aws:batch:us-east-1:123456789012:scheduling-policy/ExampleFairSharePolicy2"
  ]
}
```

#### Sample Response
<a name="API_DescribeSchedulingPolicies_Example_1_Response"></a>

```
HTTP/1.1 200 OK
Date: Wed, 29 Sep 2021 00:21:00 GMT
Content-Type: application/json
Content-Length: [content-length]
x-amzn-RequestId: [request-id]
Access-Control-Allow-Origin: *
x-amz-apigw-id: [apigw-id]
Access-Control-Expose-Headers: X-amzn-errortype,X-amzn-requestid,X-amzn-errormessage,X-amzn-trace-id,X-amz-apigw-id,date
X-Amzn-Trace-Id: [trace-id]
Connection: keep-alive

{
  "schedulingPolicies" : [ {
    "name" : "ExampleFairSharePolicy2",
    "arn" : "arn:aws:batch:us-east-1:123456789012:scheduling-policy/ExampleFairSharePolicy2",
    "fairsharePolicy" : {
      "shareDecaySeconds" : 3600,
      "computeReservation" : 1,
      "shareDistribution" : [ {
        "shareIdentifier" : "MostImportant",
        "weightFactor" : 1.0E-4
      }, {
        "shareIdentifier" : "LeastImportant",
        "weightFactor" : 999.9999
      } ]
    },
    "tags" : {
      "Department" : "Documentation",
      "Beef" : "Ribs",
      "Hot" : "Dogs",
      "Pork" : "Shoulder"
    }
  }, {
    "name" : "ExampleFairSharePolicy",
    "arn" : "arn:aws:batch:us-east-1:123456789012:scheduling-policy/ExampleFairSharePolicy",
    "fairsharePolicy" : {
      "shareDecaySeconds" : 3600,
      "computeReservation" : 1,
      "shareDistribution" : [ {
        "shareIdentifier" : "A1*",
        "weightFactor" : 0.1
      }, {
        "shareIdentifier" : "A2",
        "weightFactor" : 0.2
      }, {
        "shareIdentifier" : "B*",
        "weightFactor" : 0.8
      }, {
        "shareIdentifier" : "C",
        "weightFactor" : 1.2
      }, {
        "shareIdentifier" : "D*",
        "weightFactor" : 1.5
      }, {
        "shareIdentifier" : "E",
        "weightFactor" : 1.8
      } ]
    },
    "tags" : {
      "Department" : "Engineering",
      "Beef" : "Brisket",
      "Hot" : "Dog",
      "Pork" : "Ribs"
    }
  } ]
}
```

## See Also
<a name="API_DescribeSchedulingPolicies_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/batch-2016-08-10/DescribeSchedulingPolicies) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/batch-2016-08-10/DescribeSchedulingPolicies) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/batch-2016-08-10/DescribeSchedulingPolicies) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/batch-2016-08-10/DescribeSchedulingPolicies) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/batch-2016-08-10/DescribeSchedulingPolicies) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/batch-2016-08-10/DescribeSchedulingPolicies) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/batch-2016-08-10/DescribeSchedulingPolicies) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/batch-2016-08-10/DescribeSchedulingPolicies) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/batch-2016-08-10/DescribeSchedulingPolicies) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/batch-2016-08-10/DescribeSchedulingPolicies) 